#
# spec file for package freedoom
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define waddir  %{_datadir}/doom

Name:           freedoom
Version:        0.8~beta1
Release:        0
%define uver	0.8-beta1
Summary:        Replacement game files for Doom game engines
License:        BSD-3-Clause
Group:          Amusements/Games/3D/Shoot
Url:            http://nongnu.org/freedoom/

#Git-Web:	http://git.savannah.gnu.org/cgit/freedoom.git/
#Git-Clone:	git://git.sv.gnu.org/freedoom
Source:         http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/freedoom-iwad-%uver.zip
Source2:        http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/freedoom-iwad-%uver.zip.sig
Source3:        http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/ultimate/freedoom-ultimate-%uver.zip
Source4:        http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/ultimate/freedoom-ultimate-%uver.zip.sig
Source5:        freedoom.desktop
Source6:        freedoom.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip
BuildRequires:  update-desktop-files
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif
Recommends:     prboom

%description
A set of game resources for the DOOM game engine. While the Doom
source code is free/libre, you currently still need one of the
proprietary IWAD files from id in order to play Doom. Freedoom aims
to create a free alternative. Combined with the GPL-licensed Doom
source code, this will result in a completely free Doom-based game.

%prep
%{?gpg_verify: %gpg_verify %{S:2}}
%{?gpg_verify: %gpg_verify %{S:4}}
%setup -Tcq -a0 -a3

%build
# Game data files.  Nothing to build!

%install
b="%buildroot"
install -Dpm0644 "freedoom-iwad-%uver/doom2.wad" "$b/%waddir/freedoom.wad"
install -Dpm0644 "freedoom-ultimate-%uver/doom.wad" "$b/%waddir/freedoom-ultimate.wad"
mkdir -p "$b/%_docdir/%name"
cp "freedoom-iwad-%uver"/{COPYING,CREDITS,ChangeLog,NEWS,README,README.html} \
	"$b/%_docdir/%name/"
%suse_update_desktop_file -i %{name}

%files
%defattr(-,root,root)
%waddir/
%_docdir/%name/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
